Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.colorSpaces
Class CIEBasedColorSpace

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<TDataObject>
          org.pdfclown.documents.contents.colorSpaces.ColorSpace<PdfArray>
              org.pdfclown.documents.contents.colorSpaces.CIEBasedColorSpace

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

Direct Known Subclasses:
  CalColorSpace, LabColorSpace

    @PDF(value=PDF11)
    public abstract class CIEBasedColorSpace

extends ColorSpace<PdfArray>

Abstract CIE-based color space [PDF:1.6:4.5.4].

Version:
  0.1.1, 11/09/11
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`protected` | `CIEBasedColorSpace(PdfDirectObject baseObject)`

Method Summary
`double[]` | `getBlackPoint()` Gets the tristimulus value, in the CIE 1931 XYZ space, of the diffuse black point.
`protected PdfDictionary` | `getDictionary()` Gets this color space's dictionary.
`double[]` | `getWhitePoint()` Gets the tristimulus value, in the CIE 1931 XYZ space, of the diffuse white point.

Methods inherited from class org.pdfclown.documents.contents.colorSpaces.ColorSpace
`getColor, getComponentCount, getDefaultColor, getPaint, wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, clone, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CIEBasedColorSpace

    protected CIEBasedColorSpace(PdfDirectObject baseObject)

Method Detail

### getBlackPoint

    public double[] getBlackPoint()

  Gets the tristimulus value, in the CIE 1931 XYZ space, of the diffuse black point.

### getWhitePoint

    public double[] getWhitePoint()

  Gets the tristimulus value, in the CIE 1931 XYZ space, of the diffuse white point.

### getDictionary

    protected final PdfDictionary getDictionary()

  Gets this color space's dictionary.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.